Bug 248791 - Evolution reorders the threads when new emails come in
Summary: Evolution reorders the threads when new emails come in
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Matthew Barnes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-07-18 19:58 UTC by Josh Boyer
Modified: 2007-11-30 22:12 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-22 14:26:51 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Bugzilla 489027 None None None Never

Description Josh Boyer 2007-07-18 19:58:48 UTC
Description of problem:

Current rawhide evolution is reordering threads as new emails come in.  If
thread A started before thread B, and thread A gets a new email on it, evolution
will move all of thread A before thread B.

Version-Release number of selected component (if applicable):

[jwboyer@vader ~]$ rpm -q evolution
evolution-2.11.5-2.fc8

How reproducible:

Always

Steps to Reproduce:
1.  Select threaded view, sorted by date
2.  Get some email on different threads
3.  
  
Actual results:

The threads are reordered

Expected results:

New email comes into the thread but it remains in the correct location

Additional info:

I'm slowly going insane with this.  If there's a way to turn it off, tell me and
I'll be much happier

Comment 1 Milan Crha 2007-10-18 13:39:24 UTC
There is no way how to turn it off, at the moment. Only when you remove columns
for Date and Received from sorting.

Comment 2 Milan Crha 2007-10-22 14:26:51 UTC
Moving this upstream where we will continue to track the problem.
Please see [1] for further updates.

[1] http://bugzilla.gnome.org/show_bug.cgi?id=489027


Note You need to log in before you can comment on or make changes to this bug.